## kstars 3.6.3

=== debian/changelog ===
kstars (5:3.6.3-0xneon+22.04+jammy+release+build13) jammy; urgency=medium

  * Automatic CI Build

 -- Neon CI <neon@kde.org>  Thu, 02 Feb 2023 11:37:02 +0000

kstars (5:3.6.3-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 02 Feb 2023 00:25:05 +0000

kstars (5:3.6.2-0neon) jammy; urgency=medium

  [ Jonathan Riddell ]
  * New release

  [ Neon CI ]
  * New release

 -- Neon CI <neon@kde.org>  Sat, 03 Dec 2022 00:25:05 +0000

=== debian/control ===
Source: kstars
Section: kde
Priority: optional
Uploaders: Pino Toscano <pino@debian.org>
Build-Depends: clang [mipsel],
               cmake (>= 3.10.0~),
               debhelper-compat (= 13),
               extra-cmake-modules (>= 5.44.0~),
               gettext,
               kinit-dev (>= 5.44.0~),
               libcfitsio-dev (>= 3.040),
               libeigen3-dev (>> 2.0.3),
               libglu1-mesa-dev [!armhf],
               libgsl-dev,
               libindi-dev (>= 1.9.1~),
               libkf5config-dev (>= 5.44.0~),
               libkf5crash-dev (>= 5.44.0~),
               libkf5dbusaddons-dev (>= 5.44.0~),
               libkf5doctools-dev (>= 5.44.0~),
               libkf5guiaddons-dev (>= 5.44.0~),
               libkf5i18n-dev (>= 5.44.0~),
               libkf5iconthemes-dev (>= 5.44.0~),
               libkf5jobwidgets-dev (>= 5.44.0~),
               libkf5kio-dev (>= 5.44.0~),
               libkf5newstuff-dev (>= 5.44.0~),
               libkf5notifications-dev (>= 5.44.0~),
               libkf5notifyconfig-dev (>= 5.44.0~),
               libkf5plotting-dev (>= 5.44.0~),
               libkf5texteditor-dev (>= 5.44.0~),
               libkf5widgetsaddons-dev (>= 5.44.0~),
               libkf5windowsystem-dev (>= 5.44.0~),
               libkf5xmlgui-dev (>= 5.44.0~),
               libnova-dev,
               libqt5opengl5-dev (>= 5.9.0~),
               libqt5sql5-sqlite,
               libqt5svg5-dev (>= 5.9.0~),
               libqt5websockets5-dev (>= 5.9.0~),
               libraw-dev,
               libsecret-1-dev,
               libstellarsolver-dev (>= 2.2~),
               pkg-config,
               pkg-kde-tools (>= 0.12),
               qt5keychain-dev,
               qtbase5-dev (>= 5.9.0~),
               qtdeclarative5-dev (>= 5.9.0~),
               qtmultimedia5-dev (>= 5.9.0~),
               wcslib-dev,
               zlib1g-dev
Standards-Version: 4.6.1
Rules-Requires-Root: no
Homepage: https://edu.kde.org/kstars/
Vcs-Git: https://invent.kde.org/neon/extras/kstars.git
Vcs-Browser: https://invent.kde.org/neon/extras/kstars
Maintainer: Neon CI <neon@kde.org>

Package: kstars
Architecture: any
Section: science
Pre-Depends: ${misc:Pre-Depends}
Depends: kstars-data (= ${source:Version}),
         libqt5sql5-sqlite,
         ${misc:Depends},
         ${shlibs:Depends}
Suggests: khelpcenter, konqueror
Recommends: astrometry.net, indi-bin, xplanet
Description: desktop planetarium, observation planning and telescope control
 KStars is a scientifically accurate desktop planetarium, visualising a
 graphical simulation of the night sky from any location on Earth, at any date
 and time.
 The display includes 130,000 stars, 13,000 deep-sky objects, all 8 planets,
 the Sun and Moon, and thousands of comets and asteroids. KStars addresses
 students and amateur astronomers of all levels.
 .
 The database of known objects can be extended and updated from local or
 remote databases, which is prepared for in a user-extendable interface.
 KStars suggests observations of particular interest like conjunctions
 with respect to the location of the user. And for user-selected targets it
 proposes the ones that are best-observable.
 .
 The software may be used for planning experiments around the globe,
 e.g. for remote controlled commercial services. But KStars also
 features an INDI interface to control local telescopes and cameras.
 Users with programming experience can script it via the KDE desktop bus.

Package: kstars-data
Architecture: all
Section: science
Depends: qml-module-qtquick-controls,
         qml-module-qtquick-layouts,
         qml-module-qtquick2,
         ${misc:Depends}
Description: data files for KStars desktop planetarium
 This package contains architecture-independent data files for KStars,
 the graphical desktop planetarium for KDE, including star catalogues and
 astronomical images.

## kstars 3.6.5

=== debian/changelog ===
kstars (5:3.6.5-1) experimental; urgency=medium

  * New upstream release.
  * Update the build dependencies according to the upstream build system:
    - bump libindi-dev to 2.0.0
    - add libxisf-dev
  * CI: switch to experimental to use INDI 2.x

 -- Pino Toscano <pino@debian.org>  Tue, 18 Jul 2023 21:34:33 +0200

=== debian/control ===
--- 
+++ 
@@ -1,57 +1,59 @@
 Source: kstars
 Section: kde
 Priority: optional
-Uploaders: Pino Toscano <pino@debian.org>
-Build-Depends: clang [mipsel],
-               cmake (>= 3.10.0~),
+Maintainer: Debian KDE Extras Team <pkg-kde-extras@lists.alioth.debian.org>
+Uploaders: Pino Toscano <pino@debian.org>,
+Build-Depends: cmake (>= 3.16~),
+               clang [mips64el mipsel],
                debhelper-compat (= 13),
-               extra-cmake-modules (>= 5.44.0~),
+               extra-cmake-modules (>= 5.68.0~),
                gettext,
-               kinit-dev (>= 5.44.0~),
+               kinit-dev (>= 5.68.0~),
                libcfitsio-dev (>= 3.040),
                libeigen3-dev (>> 2.0.3),
                libglu1-mesa-dev [!armhf],
                libgsl-dev,
-               libindi-dev (>= 1.9.1~),
-               libkf5config-dev (>= 5.44.0~),
-               libkf5crash-dev (>= 5.44.0~),
-               libkf5dbusaddons-dev (>= 5.44.0~),
-               libkf5doctools-dev (>= 5.44.0~),
-               libkf5guiaddons-dev (>= 5.44.0~),
-               libkf5i18n-dev (>= 5.44.0~),
-               libkf5iconthemes-dev (>= 5.44.0~),
-               libkf5jobwidgets-dev (>= 5.44.0~),
-               libkf5kio-dev (>= 5.44.0~),
-               libkf5newstuff-dev (>= 5.44.0~),
-               libkf5notifications-dev (>= 5.44.0~),
-               libkf5notifyconfig-dev (>= 5.44.0~),
-               libkf5plotting-dev (>= 5.44.0~),
-               libkf5texteditor-dev (>= 5.44.0~),
-               libkf5widgetsaddons-dev (>= 5.44.0~),
-               libkf5windowsystem-dev (>= 5.44.0~),
-               libkf5xmlgui-dev (>= 5.44.0~),
+               libindi-dev (>= 2.0.0~),
+               libkf5config-dev (>= 5.68.0~),
+               libkf5crash-dev (>= 5.68.0~),
+               libkf5dbusaddons-dev (>= 5.68.0~),
+               libkf5doctools-dev (>= 5.68.0~),
+               libkf5guiaddons-dev (>= 5.68.0~),
+               libkf5i18n-dev (>= 5.68.0~),
+               libkf5iconthemes-dev (>= 5.68.0~),
+               libkf5jobwidgets-dev (>= 5.68.0~),
+               libkf5kio-dev (>= 5.68.0~),
+               libkf5newstuff-dev (>= 5.68.0~),
+               libkf5notifications-dev (>= 5.68.0~),
+               libkf5notifyconfig-dev (>= 5.68.0~),
+               libkf5plotting-dev (>= 5.68.0~),
+               libkf5texteditor-dev (>= 5.68.0~),
+               libkf5widgetsaddons-dev (>= 5.68.0~),
+               libkf5windowsystem-dev (>= 5.68.0~),
+               libkf5xmlgui-dev (>= 5.68.0~),
                libnova-dev,
-               libqt5opengl5-dev (>= 5.9.0~),
+               libqt5datavisualization5-dev (>= 5.12.7~) [amd64 i386],
+               libqt5opengl5-dev (>= 5.12.7~),
                libqt5sql5-sqlite,
-               libqt5svg5-dev (>= 5.9.0~),
-               libqt5websockets5-dev (>= 5.9.0~),
+               libqt5svg5-dev (>= 5.12.7~),
+               libqt5websockets5-dev (>= 5.12.7~),
                libraw-dev,
                libsecret-1-dev,
                libstellarsolver-dev (>= 2.2~),
+               libxisf-dev,
                pkg-config,
                pkg-kde-tools (>= 0.12),
                qt5keychain-dev,
-               qtbase5-dev (>= 5.9.0~),
-               qtdeclarative5-dev (>= 5.9.0~),
-               qtmultimedia5-dev (>= 5.9.0~),
+               qtbase5-dev (>= 5.12.7~),
+               qtdeclarative5-dev (>= 5.12.7~),
+               qtmultimedia5-dev (>= 5.12.7~),
                wcslib-dev,
                zlib1g-dev
-Standards-Version: 4.6.1
+Standards-Version: 4.6.2
 Rules-Requires-Root: no
 Homepage: https://edu.kde.org/kstars/
-Vcs-Git: https://invent.kde.org/neon/extras/kstars.git
-Vcs-Browser: https://invent.kde.org/neon/extras/kstars
-Maintainer: Neon CI <neon@kde.org>
+Vcs-Browser: https://salsa.debian.org/qt-kde-team/extras/kstars
+Vcs-Git: https://salsa.debian.org/qt-kde-team/extras/kstars.git
 
 Package: kstars
 Architecture: any

## kstars 3.7.3

=== debian/changelog ===
kstars (5:3.7.3-1) experimental; urgency=medium

  * New upstream release.
  * Update download path in the watch file.
  * Update the patches:
    - upstream_ekos-fix-build-without-QtDataVisualization.patch: drop,
      backported from upstream
  * Update the build dependencies according to the upstream build system:
    - add libcurl-dev
  * Backport upstream commit 3528f8236a1eadcabe5c11b64231fe2e923a1209 to include
    an header where needed; patch upstream_Explicitly-include-fitsdata.h.patch.
  * Be verbose when removing files after dh_auto_install, so it is easier to
    notice whether they are gone.
  * Drop mipsel bits, as that architecture was discontinued.

 -- Pino Toscano <pino@debian.org>  Fri, 04 Oct 2024 07:44:41 +0200

kstars (5:3.7.0-2) experimental; urgency=medium

  * Backport upstream commit b3313500adbcf02752d6f4e6cf9787c065b56504 to fix
    the build without QtDataVisualization; patch
    upstream_ekos-fix-build-without-QtDataVisualization.patch.

 -- Pino Toscano <pino@debian.org>  Sat, 06 Apr 2024 13:28:46 +0200

kstars (5:3.7.0-1) experimental; urgency=medium

  * New upstream release.

 -- Pino Toscano <pino@debian.org>  Sat, 06 Apr 2024 11:57:03 +0200

kstars (5:3.6.7-1) experimental; urgency=medium

  * New upstream release.
  * Update the patches:
    - upstream_Explicitly-include-fitsdata.h.patch: drop, backported from
      upstream
    - upstream_Explicitly-include-fitsdata.h_2.patch: drop, backported from
      upstream

 -- Pino Toscano <pino@debian.org>  Sun, 01 Oct 2023 21:17:16 +0200

kstars (5:3.6.6-2) experimental; urgency=medium

  * Backport upstream commit d05688569899311ec279fecef014f08c692fe2af, and
    commit 5cefcc58870b12ceddbbdfd1f276a98b687f185b to include an header where
    needed; patch upstream_Explicitly-include-fitsdata.h.patch, and
    patch upstream_Explicitly-include-fitsdata.h_2.patch.

 -- Pino Toscano <pino@debian.org>  Sun, 13 Aug 2023 05:39:55 +0200

kstars (5:3.6.6-1) experimental; urgency=medium

  * New upstream release.

 -- Pino Toscano <pino@debian.org>  Wed, 02 Aug 2023 08:41:19 +0200

=== debian/control ===
--- 
+++ 
@@ -4,12 +4,13 @@
 Maintainer: Debian KDE Extras Team <pkg-kde-extras@lists.alioth.debian.org>
 Uploaders: Pino Toscano <pino@debian.org>,
 Build-Depends: cmake (>= 3.16~),
-               clang [mips64el mipsel],
+               clang [mips64el],
                debhelper-compat (= 13),
                extra-cmake-modules (>= 5.68.0~),
                gettext,
                kinit-dev (>= 5.68.0~),
                libcfitsio-dev (>= 3.040),
+               libcurl4-openssl-dev | libcurl-dev,
                libeigen3-dev (>> 2.0.3),
                libglu1-mesa-dev [!armhf],
                libgsl-dev,

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/dpkg/architecture.mk

archs_using_clang = mips64el
ifeq ($(DEB_HOST_ARCH),$(findstring $(DEB_HOST_ARCH), $(archs_using_clang)))
export CC=clang
export CXX=clang++
export DEB_CFLAGS_MAINT_APPEND := -gdwarf-4
export DEB_CXXFLAGS_MAINT_APPEND := -gdwarf-4
export DEB_LDFLAGS_MAINT_APPEND := -Wl,--as-needed
endif

%:
	dh $@ --with kf5

override_dh_auto_configure:
	dh_auto_configure -Skf5 -- -DBUILD_TESTING=OFF

execute_after_dh_auto_install:
	# remove development stuff
	find debian/tmp -name '*.a' -print -delete

.PHONY: override_dh_auto_test

## kstars 3.7.3+really3.6.2

=== Tests/fitsviewer/CMakeLists.txt ===
if (StellarSolver_FOUND)
ADD_EXECUTABLE( testfitsdata testfitsdata.cpp )
TARGET_LINK_LIBRARIES( testfitsdata ${TEST_LIBRARIES})
ADD_CUSTOM_COMMAND( TARGET testfitsdata POST_BUILD
    COMMAND ${CMAKE_COMMAND} -E copy
            ${CMAKE_CURRENT_SOURCE_DIR}/m47_sim_stars.fits
            ${CMAKE_CURRENT_BINARY_DIR}/m47_sim_stars.fits)
ADD_CUSTOM_COMMAND( TARGET testfitsdata POST_BUILD
    COMMAND ${CMAKE_COMMAND} -E copy
            ${CMAKE_CURRENT_SOURCE_DIR}/ngc4535-autofocus1.fits
            ${CMAKE_CURRENT_BINARY_DIR}/ngc4535-autofocus1.fits)
ADD_CUSTOM_COMMAND( TARGET testfitsdata POST_BUILD
    COMMAND ${CMAKE_COMMAND} -E copy
            ${CMAKE_CURRENT_SOURCE_DIR}/ngc4535-autofocus2.fits
            ${CMAKE_CURRENT_BINARY_DIR}/ngc4535-autofocus2.fits)
ADD_CUSTOM_COMMAND( TARGET testfitsdata POST_BUILD
    COMMAND ${CMAKE_COMMAND} -E copy
            ${CMAKE_CURRENT_SOURCE_DIR}/ngc4535-autofocus3.fits
            ${CMAKE_CURRENT_BINARY_DIR}/ngc4535-autofocus3.fits)
ADD_CUSTOM_COMMAND( TARGET testfitsdata POST_BUILD
    COMMAND ${CMAKE_COMMAND} -E copy
            ${CMAKE_CURRENT_SOURCE_DIR}/bahtinov-focus.fits
            ${CMAKE_CURRENT_BINARY_DIR}/bahtinov-focus.fits)
ADD_TEST( NAME FitsDataTest COMMAND testfitsdata )
SET_TESTS_PROPERTIES( FitsDataTest PROPERTIES LABELS "stable")
endif()

=== kstars/kstarslite/qml/indi/modules/images/mdpi/CMakeLists.txt ===
install( FILES green.png
    red.png
    yellow.png
    grey.png
    DESTINATION  ${KDE_INSTALL_DATADIR}/kstars/kstarslite/qml/indi/modules/images/mdpi )

=== kstars/kstarslite/qml/indi/modules/images/xxxhdpi/CMakeLists.txt ===
install( FILES green.png
    red.png
    yellow.png
    grey.png
    DESTINATION  ${KDE_INSTALL_DATADIR}/kstars/kstarslite/qml/indi/modules/images/xxxhdpi )

=== debian/changelog ===
kstars (5:3.7.3+really3.6.2-0ubuntu1) plucky; urgency=medium

  * Revert back to version 3.6.2 after indi version 2.x transition was
    abandoned. 3.7.x is not buildable with indi 1.9.9.
  * Disable building with LTO to fix startup segfault.

 -- Rik Mills <rikmills@kde.org>  Fri, 04 Apr 2025 07:17:57 +0100

kstars (5:3.6.2-2ubuntu1) lunar; urgency=medium

  * Disable building with LTO to fix startup segfault

 -- Rik Mills <rikmills@kde.org>  Mon, 26 Dec 2022 13:47:18 +0000

=== debian/rules ===
--- 
+++ 
@@ -2,7 +2,9 @@
 
 include /usr/share/dpkg/architecture.mk
 
-archs_using_clang = mips64el
+export DEB_BUILD_MAINT_OPTIONS = optimize=-lto
+
+archs_using_clang = mips64el mipsel
 ifeq ($(DEB_HOST_ARCH),$(findstring $(DEB_HOST_ARCH), $(archs_using_clang)))
 export CC=clang
 export CXX=clang++
@@ -19,6 +21,6 @@
 
 execute_after_dh_auto_install:
 	# remove development stuff
-	find debian/tmp -name '*.a' -print -delete
+	find debian/tmp -name '*.a' -delete
 
 .PHONY: override_dh_auto_test

## kstars 3.7.4

=== debian/changelog ===
kstars (5:3.7.4-2) experimental; urgency=medium

  * Enable the libqt5datavisualization5-dev build dependency on all the
    architectures, not only on amd64 i386.
  * Stop excluding the libglu1-mesa-dev on armhf, as it builds fine with it
    on that architecture.
  * kstars seems to build fine with GCC 14 also on mips64el now, so:
    - drop the clang build dependency
    - stop setting clang & clang++ as compilers

 -- Pino Toscano <pino@debian.org>  Sun, 08 Dec 2024 18:56:51 +0100

kstars (5:3.7.4-1) experimental; urgency=medium

  * New upstream release.
  * Update the patches:
    - upstream_Explicitly-include-fitsdata.h.patch: drop, backported from
      upstream

 -- Pino Toscano <pino@debian.org>  Sun, 08 Dec 2024 09:56:39 +0100

=== debian/control ===
--- 
+++ 
@@ -4,7 +4,6 @@
 Maintainer: Debian KDE Extras Team <pkg-kde-extras@lists.alioth.debian.org>
 Uploaders: Pino Toscano <pino@debian.org>,
 Build-Depends: cmake (>= 3.16~),
-               clang [mips64el],
                debhelper-compat (= 13),
                extra-cmake-modules (>= 5.68.0~),
                gettext,
@@ -12,7 +11,7 @@
                libcfitsio-dev (>= 3.040),
                libcurl4-openssl-dev | libcurl-dev,
                libeigen3-dev (>> 2.0.3),
-               libglu1-mesa-dev [!armhf],
+               libglu1-mesa-dev,
                libgsl-dev,
                libindi-dev (>= 2.0.0~),
                libkf5config-dev (>= 5.68.0~),
@@ -33,7 +32,7 @@
                libkf5windowsystem-dev (>= 5.68.0~),
                libkf5xmlgui-dev (>= 5.68.0~),
                libnova-dev,
-               libqt5datavisualization5-dev (>= 5.12.7~) [amd64 i386],
+               libqt5datavisualization5-dev (>= 5.12.7~),
                libqt5opengl5-dev (>= 5.12.7~),
                libqt5sql5-sqlite,
                libqt5svg5-dev (>= 5.12.7~),

## kstars 3.7.6

=== debian/changelog ===
kstars (5:3.7.6-1) experimental; urgency=medium

  * New upstream release.

 -- Pino Toscano <pino@debian.org>  Tue, 01 Apr 2025 19:28:56 +0200

kstars (5:3.7.5-1) experimental; urgency=medium

  * New upstream release.

 -- Pino Toscano <pino@debian.org>  Mon, 10 Feb 2025 18:43:15 +0100

## kstars 3.7.8

=== debian/changelog ===
kstars (5:3.7.8-1) experimental; urgency=medium

  * New upstream release.
  * Update the build dependencies according to the upstream build system:
    - bump libstellarsolver-dev to 2.6
  * Update install files.

 -- Pino Toscano <pino@debian.org>  Tue, 12 Aug 2025 07:31:39 +0200

kstars (5:3.7.7-1) experimental; urgency=medium

  * New upstream release.

 -- Pino Toscano <pino@debian.org>  Mon, 11 Aug 2025 07:55:50 +0200

=== debian/control ===
--- 
+++ 
@@ -39,7 +39,7 @@
                libqt5websockets5-dev (>= 5.12.7~),
                libraw-dev,
                libsecret-1-dev,
-               libstellarsolver-dev (>= 2.2~),
+               libstellarsolver-dev (>= 2.6~),
                libxisf-dev,
                pkg-config,
                pkg-kde-tools (>= 0.12),
